Download it now!
Bug 60641 - non-localizable string: Native Numbering
Summary: non-localizable string: Native Numbering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Ádám Csaba Király
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-11 09:25 UTC by Andras Timar
Modified: 2013-04-19 11:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2013-02-11 09:25:07 UTC
- activate support for Asian language in Tool > Options
- in Writer, Ctrl+F2 to open the field dialog
- under the Document tab, select Page > Page Number,
- in the Format list, the string [Native Numbering] appears in English

Think this string has been there for ages.
http://opengrok.libreoffice.org/xref/core/i18npool/source/defaultnumberingprovider/defaultnumberingprovider.cxx#896
git blame shows:
48ee260e (Rüdiger Timm          2004-06-11 15:06:22 +0000  896)         {style::NumberingType::NATIVE_NUMBERING,        "Native Numbering", LANG_CJK|LANG_CTL},
Comment 1 Eike Rathke 2013-02-12 15:01:11 UTC
Note: the hard coded strings in defaultnumberingprovider.cxx are programmatic identifiers that are also used to store/load document content and must not be changed.

Other places (i.e. cui/source/tabpages/page.cxx) that use these values and present localized strings use the LB_NUMBER_FORMAT resource from cui/source/tabpages/page.src that has an entry

    < "Native Numbering" ;                      12 /*NATIVE_NUMBERING

with 12 being the value of NumberingType::NATIVE_NUMBERING from offapi/com/sun/star/style/NumberingType.idl

Recently there was also the new cui/uiconfig/ui/numberingoptionspage.ui widget introduced that has the same list.

The Page Number Format list code should use one of these lists instead of the programmatic identifiers, probably the one in cui's page.src would be easier to access.
Comment 2 Andras Timar 2013-03-17 21:03:23 UTC
TODO: find out how SwFldMgr::GetFormatStr() works
http://opengrok.libreoffice.org/xref/core/sw/source/ui/fldui/fldmgr.cxx#660
It reads almost all of the localizable strings from
http://opengrok.libreoffice.org/xref/core/sw/source/ui/fldui/fldui.src#400
Comment 3 Commit Notification 2013-04-19 11:34:55 UTC
Adam Csaba Kiraly committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04a54e7180c2cf9f4855211055ecbc6a41deff56

fdo#60641, localise strings



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.